Bug 5296 - Failed to create rounding.h!
Failed to create rounding.h!
Status: CLOSED FIXED
Product: rsync
Classification: Unclassified
Component: core
3.0.0
Other FreeBSD
: P3 normal
: ---
Assigned To: Wayne Davison
Rsync QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-01 18:02 UTC by Bob Friesenhahn
Modified: 2008-07-26 10:32 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Bob Friesenhahn 2008-03-01 18:02:37 UTC
On FreeBSD 5.4 doing a make immediately fails like this:

% gmake
Failed to create rounding.h!
gmake: *** [rounding.h] Error 1
Comment 1 Wayne Davison 2008-03-02 00:16:28 UTC
I'd suggest removing the ">/dev/null 2>&1" suffix from the CC command in the rounding.h section of the Makefile to see what is wrong.  I'd imagine it is some kind of a compiler failure.

I've committed a change to the Makefile.in file to show more info when creating rounding.h fails.  You can see that diff via gitweb:

http://git.samba.org/?p=rsync.git;a=summary

http://git.samba.org/?p=rsync.git;a=commitdiff;h=ebac03192584817d626574db28b97ef274683aa5
Comment 2 Wayne Davison 2008-03-07 09:10:40 UTC
Please let me know what the compiler error is you encountered.
Comment 3 Wayne Davison 2008-03-15 02:56:27 UTC
No response from reporter... closing.
Comment 4 Bob Friesenhahn 2008-03-15 14:56:33 UTC
Sorry for not responding.  This is the make output once the redirection to /dev/null is removed:

% gmake
In file included from ./rounding.c:20:
./rsync.h:390:19: iconv.h: No such file or directory
In file included from ./rsync.h:894,
                 from ./rounding.c:20:
./proto.h:266: error: syntax error before "ic"
In file included from ./rounding.c:20:
./rsync.h:390:19: iconv.h: No such file or directory
In file included from ./rsync.h:894,
                 from ./rounding.c:20:
./proto.h:266: error: syntax error before "ic"
In file included from ./rounding.c:20:
./rsync.h:390:19: iconv.h: No such file or directory
In file included from ./rsync.h:894,
                 from ./rounding.c:20:
./proto.h:266: error: syntax error before "ic"
Failed to create rounding.h!
gmake: *** [rounding.h] Error 1
Comment 5 Bob Friesenhahn 2008-03-15 15:03:24 UTC
On my system, I have /usr/local/include/iconv.h (FreeBSD convention for non-BSD code) and I did supply CPPFLAGS="-I/usr/local/include" to configure.  It seems that the bug is that the rule for rounding.h should be more like

  if $(CC) $(CFLAGS) $(CPPFLAGS) $(LDFLAGS)

so that the user-provided CPPFLAGS is respected.

Bob
Comment 6 Wayne Davison 2008-03-15 16:11:13 UTC
Thanks for figuring out what was wrong.  I've checked-in a fix for this.